@echo off
set log=.\uptime_%1.log
set txt=.\uptime_%1.txt

set htmlfile=d:\<path to cacti>\cacti\log\uptime_%1.html
set htmladdr=http://www.your.domain/cacti/log/uptime_%1.html
set script_path=d:\<path to cacti>\cacti\scripts\uptime\

%script_path%gawk -f %script_path%gawk_head.txt %log% > %htmlfile%
echo 000000	Uptime Report for: \\%1 > %log%
%script_path%uptime.exe %1 > %txt%
%script_path%Uptime.exe /s %1 | %script_path%nl -nrz | %script_path%grep "Uptime Report for:\|Since \|System Availability:\|Total Uptime:\|Total Downtime:\|Total Reboots:\|Mean Time Between Reboots:\|Total Bluescreens:" | %script_path%gawk "{gsub(/Since/,\"                         Since:\"); print}" | %script_path%sort -k 2,2 -k 1,1r | %script_path%uniq --skip-chars=8 --check-chars=30 | %script_path%sort >> %log%
%script_path%gawk -f %script_path%gawk_main.txt %log% >> %htmlfile%
%script_path%gawk -f %script_path%gawk_tail.txt %log% >> %htmlfile%
perl.exe %script_path%win_cur_uptime.pl %txt%
perl.exe %script_path%win_uptime.pl %htmladdr%
echo sla_avail:%2

rem erase temp files
erase %log%
erase %txt%
erase %htmlfile%
